<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>xyz.mynt.gctraining2</groupId>
        <artifactId>gctraining2-parent</artifactId>
        <version>1.0.0001</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>gctraining2-service</artifactId>

    <dependencies>
        <!-- facade dependency -->
        <dependency>
            <groupId>xyz.mynt.gctraining2</groupId>
            <artifactId>gctraining2-facade</artifactId>
        </dependency>

        <!-- sofa rpc dependency -->
        <dependency>
            <groupId>com.alipay.sofa</groupId>
            <artifactId>rpc-enterprise-sofa-boot-starter</artifactId>
        </dependency>

        <!-- spring boot and spring dependencies begin-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-autoconfigure</artifactId>
        </dependency>
        <!-- logback -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-logging</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
        </dependency>

        <!-- apache -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.9</version>
        </dependency>

        <dependency>
            <groupId>com.alipay.fc.common</groupId>
            <artifactId>fc-common-util</artifactId>
            <version>4.0.1.20190308</version>
        </dependency>

        <dependency>
            <groupId>com.alibaba.toolkit.common</groupId>
            <artifactId>toolkit-common-logging</artifactId>
            <version>1.14</version>
        </dependency>

        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
            <version>1.2.17</version>
        </dependency>

        <dependency>
            <groupId>com.alipay.common</groupId>
            <artifactId>tracer</artifactId>
            <version>2.3.2</version>
        </dependency>

        <!-- test -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <!-- spring dependencies end -->
        <dependency>
            <groupId>com.alipay.ap</groupId>
            <artifactId>aprouter-client</artifactId>
            <version>1.0.1</version>
        </dependency>

        <!--Activity 3 Message Queue-->
        <dependency>
            <groupId>com.alipay.sofa</groupId>
            <artifactId>mq-enterprise-sofa-boot-starter</artifactId>
        </dependency>

        <!--Activity 4 DDCS-->
        <dependency>
            <groupId>com.alipay.sofa</groupId>
            <artifactId>ddcs-enterprise-sofa-boot-starter</artifactId>
        </dependency>

        <!--DB dependencies-->
        <!-- DB -->
        <dependency>
            <groupId>org.mybatis</groupId>
            <artifactId>mybatis</artifactId>
            <version>3.5.1</version>
        </dependency>
        <dependency>
            <groupId>org.mybatis</groupId>
            <artifactId>mybatis-spring</artifactId>
            <version>2.0.1</version>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.15</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-jdbc</artifactId>
            <version>5.1.6.RELEASE</version>
        </dependency>

        <!-- gcuser -->
        <dependency>
            <groupId>xyz.mynt.user</groupId>
            <artifactId>gcuser-facade</artifactId>
            <version>2.0.0.20190522</version>
        </dependency>

        <!-- custcenter common domain model for LoginIdTypeEnum -->
        <dependency>
            <groupId>com.alipay.fc.custcenter</groupId>
            <artifactId>fccustcenter-common-domain-model</artifactId>
            <version>2.0.0.20190308</version>
        </dependency>
        <dependency>
            <groupId>com.alipay.fc.common</groupId>
            <artifactId>fc-common-lang</artifactId>
            <version>4.0.1.20190308</version>
        </dependency>
        <dependency>
            <groupId>com.alipay.common</groupId>
            <artifactId>alipay-common-error</artifactId>
            <version>1.3</version>
        </dependency>

        <dependency>
            <groupId>xyz.mynt.gctraining16</groupId>
            <artifactId>gctraining16-facade</artifactId>
            <version>1.0.0006</version>
        </dependency>

        <!-- gotone -->
        <dependency>
            <groupId>com.alipay.fc.gotone</groupId>
            <artifactId>fcgotone-common-service-facade</artifactId>
            <version>2.0.0.20190322</version>
        </dependency>
    </dependencies>


    <build>

        <plugins>
            <!-- http://docs.spring.io/spring-boot/docs/current/maven-plugin/usage.html -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <!-- http://docs.spring.io/spring-boot/docs/current/maven-plugin/usage.html -->
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>1.4.2.RELEASE</version>
                <configuration>
                    <!-- executable fat jar -->
                    <outputDirectory>../target</outputDirectory>
                    <classifier>executable</classifier>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
